%define upstream_name       PkgConfig
%define upstream_version 0.26026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Pure-Perl Core-Only replacement for pkg-config
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
Pure-Perl Core-Only replacement for pkg-config

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PkgConfig.pm
%{_bindir}/p*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Apr 14 2025 tv <tv> 0.260.260-1.mga10
+ Revision: 2175576
- update to 0.26026

* Mon Mar 21 2022 umeabot <umeabot> 0.230.260-3.mga9
+ Revision: 1811098
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.230.260-2.mga8
+ Revision: 1520306
- Mageia 8 Mass Rebuild

* Mon Nov 19 2018 bcornec <bcornec> 0.230.260-1.mga7
+ Revision: 1331490
- Import PkgConfig for mon contribs
- Created package structure for perl-PkgConfig.

